Bug 520514 (CVE-2009-3014) - CVE-2009-3014 firefox/seamonkey: XSS via improper handling of javascript: URIs in certain HTML links
Summary: CVE-2009-3014 firefox/seamonkey: XSS via improper handling of javascript: URI...
Keywords:
Status: NEW
Alias: CVE-2009-3014
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=moderate,source=cve,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 21:09 UTC by Vincent Danen
Modified: 2019-06-08 12:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Vincent Danen 2009-08-31 21:09:46 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-3014 to
the following vulnerability:

Name: CVE-2009-3014
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3014
Assigned: 20090831
Reference: BUGTRAQ:20090828 Cross-Site Scripting vulnerability in Mozilla, Firefox, SeaMonkey, Orca Browser and Maxthon
Reference: URL: http://www.securityfocus.com/archive/1/archive/1/506163/100/0/threaded
Reference: MISC: http://websecurity.com.ua/3373/
Reference: MISC: http://websecurity.com.ua/3386/

Mozilla Firefox 3.0.13 and earlier, 3.5, 3.6 a1 pre, and 3.7 a1 pre;
SeaMonkey 1.1.17; and Mozilla 1.7.x and earlier do not properly handle
javascript: URIs in HTML links within 302 error documents sent from
web servers, which allows user-assisted remote attackers to conduct
cross-site scripting (XSS) attacks via vectors related to (1)
injecting a Location HTTP response header or (2) specifying the
content of a Location HTTP response header.

Comment 1 Vincent Danen 2010-12-21 19:13:13 UTC
According to this description, we should be shipping fixed versions (3.6.13),
however I don't see any reference of this CVE name on upstream's web site, so
I'm not sure.

http://xforce.iss.net/xforce/xfdb/52995 indicates that there is no upstream
remedy, but that can also be due to upstream not noting this issue anywhere
that I can find.

I don't know if that means this is resolved upstream, isn't an issue after all,
or if this CVE was assigned to something that already had a CVE name.

Does anyone know?


Note You need to log in before you can comment on or make changes to this bug.